{
  // Use IntelliSense to learn about possible attributes.
  // Hover to view descriptions of existing attributes.
  // For more information, visit: https://go.microsoft.com/fwlink/?linkid=830387
  "version": "0.2.0",
  "configurations": [
  
    {
      "name": ".NET Core Launch (mk)",
      "type": "coreclr",
      "request": "launch",
      "preLaunchTask": "build",
      "program": "${workspaceFolder}/MarketData/bin/Debug/net8.0/mk.dll",
//      "args": ["MGSHRUNBACKTEST","/STARTDATE:03-31-2025","/KEEPSLOTPOSITIONS:TRUE","/STOPLIMITRISKPERCENTDECIMAL:.20","/USESTOPLIMITS:TRUE","/INITIALHEDGECASH:3000","/USEHEDGING:TRUE","/USELOWSLOPEBETACHECK:TRUE","/INCLUDETRADEMASTERFORSYMBOLSHELD:TRUE","/MACDREJECTSTRONGSELLSIGNALS:FALSE","/MACDREJECTWEAKSELLSIGNALS:TRUE","/MAXPOSITIONS:3","/INITIALCASH:10000","/HOLDINGPERIOD:3","/SESSIONFILE:/home/pi/ARM64/MarketData/MarketData/Models/MGSH20250331.TXT"],
//      "args": ["MGSHRUNBACKTEST","/STARTDATE:03-31-2025","/ENDDATE:03-31-2025","/KEEPSLOTPOSITIONS:TRUE","/STOPLIMITRISKPERCENTDECIMAL:.20","/USESTOPLIMITS:TRUE","/INITIALHEDGECASH:3000","/USEHEDGING:TRUE","/USELOWSLOPEBETACHECK:TRUE","/INCLUDETRADEMASTERFORSYMBOLSHELD:TRUE","/MACDREJECTSTRONGSELLSIGNALS:FALSE","/MACDREJECTWEAKSELLSIGNALS:TRUE","/MAXPOSITIONS:3","/INITIALCASH:10000","/HOLDINGPERIOD:3","/SESSIONFILE:/home/pi/ARM64/MarketData/MarketData/Models/MGSHCYCLETEST.TXT"],
      "args": [],
      "cwd": "${workspaceFolder}/MarketData",
      "console": "internalConsole",
      "stopAtEntry": false
    },
    {
      "name": ".NET Core Attach",
      "type": "coreclr",
      "request": "attach"
    }
  ]
}